diff --git a/follow_focus.py b/follow_focus.py index 04bae4f..1d7b0c4 100644 --- a/follow_focus.py +++ b/follow_focus.py @@ -50,6 +50,7 @@ sg_teeth= 11 mount_gap= 2 support_radius= 11/2 end_y= -4.3 +hack_num= 0.000001 # Calculated values fastener_hole_depth = tab_height-2 @@ -157,7 +158,7 @@ lid = lid.cut(base) copy = lid.faces('>>Z[0]').workplane().vLine(-offset-wall_width, forConstruction=True).polarLine(stepper_motor_size*2, slant_degree)\ .polarLine(-2*stepper_motor_size, 90+slant_degree)\ .hLine(-3*stepper_motor_size).close().cutThruAll() -lid = lid.faces('>Z[0]').shell(.000001-wall_width) +lid = lid.faces('>Z[0]').shell(-wall_width+hack_num, kind='arc') lid = lid.add(copy) lid = lid.faces('>Z[1]').workplane().center(stepper_center[0], -stepper_center[1])\ @@ -165,9 +166,10 @@ lid = lid.faces('>Z[1]').workplane().center(stepper_center[0], -stepper_center[1 lid = lid.faces('>Z[0]').workplane().circle(5/2).cutThruAll() base = base.faces('Z[0]').workplane().center(lg_x,-lg_y)\ - .hLine(support_radius, forConstruction=True)\ - .threePointArc((-support_radius, support_radius/2),(0,-support_radius))\ - .polarLine(support_radius, slant_degree)\ - .close().extrude(-lid_thicknesss+wall_width) +lid = lid.faces('>Z[0]').workplane().center(lg_x+hack_num,-lg_y)\ + .circle(support_radius).extrude(-lid_thicknesss+wall_width) +lid = lid.faces('>Z[0]').workplane().center(-hack_num, 0).vLine(-support_radius+wall_width/2)\ + .hLine(support_radius)\ + .polarLine(-support_radius, 270+slant_degree)\ + .close().extrude(-lid_thicknesss+wall_width) lid = lid.faces('>Z[0]').workplane().circle(large_gear_diameter/2-gear_offset).extrude(gear_thinkness/2) lid = lid.faces('>Z[0]').workplane().circle(2).cutThruAll() lid = lid.faces('